Folks.ImDetails.change_im_addresses – folks Reference Manual

# change_im_addresses

## Description:

public virtual async void change_im_addresses (MultiMap<string,ImFieldDetails> im_addresses) throws PropertyError

Change the contact's set of IM addresses.

It's preferred to call this rather than setting ImDetails.im_addresses directly, as this method gives error notification and will only return once the IM addresses have been written to the relevant backing store (or the operation's failed).

## Parameters:

im_addresses | the new map of protocols to IM addresses

## Exceptions:

PropertyError | if setting the IM addresses failed

## Since:

0.6.2